%global apiver  1.0
%bcond_with     gtk-doc

Summary:        Plug-ins implementation convenience library
Name:           libpeas
Version:        1.36.0
Release:        5%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Libpeas
Source0:        https://download.gnome.org/sources/%{name}/1.34/%{name}-%{version}.tar.xz

BuildRequires:  gcc gettext meson python3-devel
BuildRequires:  pkgconfig(gio-2.0) pkgconfig(glib-2.0) pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-2.0) pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(pygobject-3.0) pkgconfig(gtk+-3.0)

%if %{with gtk-doc}
BuildRequires:  gi-docgen pkgconfig(gladeui-2.0)
%endif

%description
This package provides a convenience library making adding plug-ins
support to glib-based applications.

%package        gtk
Summary:        GTK+ plug-ins support for libpeas
Requires:       %{name} = %{version}-%{release}

%description    gtk
This package provides a convenience library making adding plug-ins
support to glib-based applications.

%package        loader-python3
Summary:        Python 3 loader for libpeas
Requires:       %{name} = %{version}-%{release}
Requires:       python3-gobject
Provides:       libpeas-loader-python = %{version}-%{release}

%description    loader-python3
This package providess a Python 3 loader that is needed to
run Python 3 plugins that use libpeas.

%package        devel
Summary:        Development files for libpeas
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-gtk = %{version}-%{release}

%description devel
This package provides development libraries and header files that
are needed to write applications that use libpeas.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson \
  -Ddemos=false \
  -Dvapi=true \
  -Dgtk_doc=\
%if %{with gtk-doc}
true
%else
false
%endif

%meson_build

%install
%meson_install

%find_lang libpeas-1.0

%files -f libpeas-1.0.lang
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/libpeas-%{apiver}.so.0*
%dir %{_libdir}/libpeas-%{apiver}/
%dir %{_libdir}/libpeas-%{apiver}/loaders
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Peas-%{apiver}.typelib
%{_datadir}/icons/hicolor/*/actions/libpeas-plugin.*

%files gtk
%{_libdir}/libpeas-gtk-%{apiver}.so.0*
%{_libdir}/girepository-1.0/PeasGtk-%{apiver}.typelib

%files loader-python3
%{_libdir}/libpeas-%{apiver}/loaders/libpython3loader.so

%files devel
%{_includedir}/libpeas-%{apiver}/
%{_libdir}/libpeas-%{apiver}.so
%{_libdir}/libpeas-gtk-%{apiver}.so
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Peas-%{apiver}.gir
%{_datadir}/gir-1.0/PeasGtk-%{apiver}.gir
%{_libdir}/pkgconfig/libpeas-%{apiver}.pc
%{_libdir}/pkgconfig/libpeas-gtk-%{apiver}.pc
%if %{with gtk-doc}
%{_docdir}/libpeas-1.0
%{_docdir}/libpeas-gtk-1.0
%{_datadir}/glade/catalogs/libpeas-gtk.xml
%endif

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.36.0-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.36.0-4
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.36.0-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.36.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Shuo Wang <abushwang@tencent.com> - 1.36.0-1
- update to 1.36.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.34.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.34.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 16 2022 Shuo Wang <abushwang@tencent.com> - 1.34.0-1
- initial build
